HostingDomain aliases
Generate HTML ownership file
POST
/api/domains/{domain_code}/aliases/{alias_domain_code}/html_ownership_checkReturns the HTML file path to use for domain or alias-domain ownership verification.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
alias_domain_code*string
Alias domain code: AD followed by 8 digits. Example: AD12345678.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains/string/aliases/string/html_ownership_check" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json"{
"message": "string",
"file_url": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}